com.ibm.openpages.api.metadata

## Interface IAssociationDefinition

-     public interface IAssociationDefinition

  Represents OpenPages metadata pertaining to a valid navigation path specified between two type definitions. Types are organized in a directed graph that can be navigated along paths specified in an OpenPages model. An association definition can be seen as an "arc" in this directed graph. An association always involves two types, a source type (or tail) and a destination type (or head). Cardinality is also specified for an association.

  See Also:
    `ITypeDefinition`
  Category:
    MetaData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITypeDefinition` | `getChild()` Returns the "child" type definition of this association.
    `Id` | `getId()` Returns the Id of the association.
    `int` | `getMax()` Upper bound of the cardinality associated with this association definition.
    `int` | `getMin()` Lower bound of the cardinality associated with this association definition.
    `ITypeDefinition` | `getParent()` Returns the "parent" type definition of this association.
    `boolean` | `isEnabled()` Returns a boolean specifying if the association definition is currently enabled.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns the Id of the association.

      Returns:
        `Id` the id of the association.

    - #### getMax

          int getMax()

      Upper bound of the cardinality associated with this association definition.

      Returns:
        integer the maximum allowed associations

    - #### getMin

          int getMin()

      Lower bound of the cardinality associated with this association definition.

      Returns:
        integer the minimum associations required

    - #### getChild

          ITypeDefinition getChild()

      Returns the "child" type definition of this association.

      Returns:
        `ITypeDefinition` the child association

    - #### getParent

          ITypeDefinition getParent()

      Returns the "parent" type definition of this association.

      Returns:
        `ITypeDefinition` the parent association

    - #### isEnabled

          boolean isEnabled()

      Returns a boolean specifying if the association definition is currently enabled.

      Returns:
        true if the association definition is enabled

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.